Subject: Re: bug#78001: 30.1; `M-x man` errors on macOS 15 after sed(1) RE syntax change
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sat, 10 May 2025 12:16:39 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked]
> Date: Wed, 23 Apr 2025 15:57:02 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Justin Flude <[email-masked]>
> > Date: Tue, 22 Apr 2025 19:04:27 +0000
> > 
> > Steps to reproduce:-
> > 
> > 1. On a macOS 15 computer run `emacs -Q -nw` in a terminal
> > 2. Type the command `M-x man` then enter `ls`
> > 3. A `*Man ls*` buffer appears with this error:-
> > 
> >   sed: 1: "/^[\o001-\o032][\o001-\ ...": RE error: invalid character
> >   range
> > 
> > The command works fine for the same version of Emacs (30.1) on my macOS
> > Catalina Macbook.
> 
> This was solved on the master branch a day or two ago.
> 
> > The issue also occurs when Emacs is run as a GUI from the Finder.  It
> > affects to my knowledge the latest Emacs distributed by Homebrew and
> > MacPorts.
> > 
> > Analysis: it appears that recent versions of macOS have changed the way
> > quoting works in sed(1) regular expressions.  The problem can be
> > reproduced without Emacs when just running sed(1) in a Bash shell, and
> > with no environment variables set other than PATH and TERM.
> 
> I suggest to install GNU Sed as a workaround, it should have no
> problem with these regular expressions.

No further comments, so I presume the bug is indeed solved, and I'm
therefore closing this bug.